Eclipse Platform Release 3.7

## org.eclipse.ltk.ui.refactoring
Class TextEditChangeNode

    java.lang.Object
      org.eclipse.ltk.internal.ui.refactoring.PreviewNode
          org.eclipse.ltk.internal.ui.refactoring.AbstractChangeNode
              org.eclipse.ltk.internal.ui.refactoring.InternalTextEditChangeNode
                  org.eclipse.ltk.ui.refactoring.TextEditChangeNode

    public class TextEditChangeNode

extends org.eclipse.ltk.internal.ui.refactoring.InternalTextEditChangeNode

A special preview node to represent `TextEditBasedChange`s in the preview tree.

This class should be subclassed by clients wishing to provide language aware substructures for special `TextEditBasedChange`s. The preview infrastructure accesses to preview node for a `TextEditBasedChange`by asking the change for an adapter of type `TextEditChangeNode`. If no adapter is returned, this default implementation will be used to present `TextEditBasedChange`in the preview tree.``````

Since:
  3.2

Nested Class Summary
`static class` `TextEditChangeNode.ChildNode`

Constructor Summary
`TextEditChangeNode(TextEditBasedChange change)` Creates a new text edit change node for the given change.

Method Summary
`protected TextEditChangeNode.ChildNode[]` `createChildNodes()`
`static TextEditChangeNode.ChildNode` `createTextEditGroupNode(TextEditChangeNode.ChildNode parent, TextEditBasedChangeGroup changeGroup)` Creates a new child node for the given parent and change group.
`static TextEditChangeNode.ChildNode` `createTextEditGroupNode(TextEditChangeNode parent, TextEditBasedChangeGroup changeGroup)` Creates a new child node for the given parent and change group.
`ImageDescriptor` `getImageDescriptor()` Returns the image descriptor used to render this node in the UI.
`String` `getText()` Returns the text used to render this node in the UI.
`TextEditBasedChange` `getTextEditBasedChange()` Returns the `TextEditBasedChange` this node is associated with.

Methods inherited from class org.eclipse.ltk.internal.ui.refactoring.InternalTextEditChangeNode
`internalGetTextEditChangeNode`

Methods inherited from class org.eclipse.ltk.internal.ui.refactoring.AbstractChangeNode
`createNode, createNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextEditChangeNode

    public TextEditChangeNode(TextEditBasedChange change)

  Creates a new text edit change node for the given change.

  Parameters:
    `change` - the `TextEditBasedChange` this node represents in the preview tree

Method Detail

### createTextEditGroupNode

    public static TextEditChangeNode.ChildNode createTextEditGroupNode(TextEditChangeNode.ChildNode parent,
                                                                       TextEditBasedChangeGroup changeGroup)

  Creates a new child node for the given parent and change group.

  Parameters:
    `parent` - the parent of the new child node
    `changeGroup` - the `TextEditBasedChangeGroup` this child node represents in the preview tree
  Returns:
    the new child node

### createTextEditGroupNode

    public static TextEditChangeNode.ChildNode createTextEditGroupNode(TextEditChangeNode parent,
                                                                       TextEditBasedChangeGroup changeGroup)

  Creates a new child node for the given parent and change group.

  Parameters:
    `parent` - the parent of the new child node
    `changeGroup` - the `TextEditBasedChangeGroup` this child node represents in the preview tree
  Returns:
    the new child node

### getTextEditBasedChange

    public final TextEditBasedChange getTextEditBasedChange()

  Returns the `TextEditBasedChange` this node is associated with.

  Overrides:
    `getTextEditBasedChange` in class `org.eclipse.ltk.internal.ui.refactoring.InternalTextEditChangeNode`
  Returns:
    the `TextEditBasedChange```

### getText

    public String getText()

  Returns the text used to render this node in the UI.

  Overrides:
    `getText` in class `org.eclipse.ltk.internal.ui.refactoring.AbstractChangeNode`
  Returns:
    a human readable representation of this node

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Returns the image descriptor used to render this node in the UI.

  Overrides:
    `getImageDescriptor` in class `org.eclipse.ltk.internal.ui.refactoring.AbstractChangeNode`
  Returns:
    the image descriptor representing this node

### createChildNodes

    protected TextEditChangeNode.ChildNode[] createChildNodes()

  Specified by:
    `createChildNodes` in class `org.eclipse.ltk.internal.ui.refactoring.InternalTextEditChangeNode`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.